Package org.apache.sysds.runtime.io.hdf5

# Interface H5ByteReader

All Superinterfaces:
  `AutoCloseable`, `Closeable`

public interface H5ByteReader extends Closeable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ByteBuffer`
`read(long offset, int length)`
`default ByteBuffer`
`read(long offset, int length, ByteBuffer reuse)`

## Method Details

### read

ByteBuffer read(long offset, int length) throws IOException

Throws:
  `IOException`

### read

default ByteBuffer read(long offset, int length, ByteBuffer reuse) throws IOException

Throws:
  `IOException`

### close

void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`